=== debian/changelog ===
texlive-base (2013.20130722-1) unstable; urgency=low

  * new upstream checkout
  * conflict with texlive common so that it gets removed (Closes: #710789)
  * add Polish debconf translation, thanks to Michał Kułach
    (Closes: #711235)
  * update tlmgr (and with new upstream also TLUtils.pm) to support
    map files in user mode

 -- Norbert Preining <preining@debian.org>  Mon, 22 Jul 2013 17:35:16 +0900

texlive-base (2013.20130530-1) unstable; urgency=low

  * new upstream checkout, corresponding to TL2013 DVD release
  * adjust tl-paper to always read the (known good) system provided
    paper config files, or the ones provided by the sysadmin, instead
    of the generated one in TEXMFSYSVAR while setting paper sizes
    (Closes: #709986)

 -- Norbert Preining <preining@debian.org>  Thu, 30 May 2013 11:45:33 +0900

texlive-base (2013.20130523-1) unstable; urgency=low

  * new upstream checkout
  * turn user mode permanently on in tlmgr, and make tlmgr actually work

 -- Norbert Preining <preining@debian.org>  Thu, 23 May 2013 12:56:48 +0900

texlive-base (2013.20130520-2) unstable; urgency=low

  * fix wrong definition of TEXMFLOCAL

 -- Norbert Preining <preining@debian.org>  Mon, 20 May 2013 16:38:21 +0900

texlive-base (2013.20130520-1) unstable; urgency=low

  * new upstream checkout

 -- Norbert Preining <preining@debian.org>  Mon, 20 May 2013 13:11:20 +0900

texlive-base (2012.20130315-1) experimental; urgency=low

  * new upstream checkout
  * fix typo in license to make lintian license check happy (Closes: #698666)
  * unfuzzify patches

 -- Norbert Preining <preining@debian.org>  Sat, 16 Mar 2013 11:53:07 +0900

texlive-base (2012.20130111-1) experimental; urgency=low

  * new upstream checkout
  * replace/breaks with older context versions shipping texmfcnf.lua
    (Closes: #696169)

 -- Norbert Preining <preining@debian.org>  Fri, 11 Jan 2013 08:25:20 +0900

texlive-base (2012.20121205-1) experimental; urgency=low

  * new upstream checkout
  * rework doc file handling, doc files are now placed in their
    proper place in the TDS hierarchy

 -- Norbert Preining <preining@debian.org>  Thu, 06 Dec 2012 01:14:11 +0900

texlive-base (2012.20121125-1) experimental; urgency=low

  * new upstream checkout
  * incorporate many patches from texlive-bin for scripts that have been
    formerly in texlive-bin (foremost fmtutil!)

 -- Norbert Preining <preining@debian.org>  Sun, 25 Nov 2012 12:07:15 +0900

texlive-base (2012.20121123-1) experimental; urgency=low

  * new upstream checkout
  * new translation for Japanese (Closes: #683127, #690697)
  * provide symbolic links for some fonts (.pfb/.afm) files
    (Closes: #689837, #546251)

 -- Norbert Preining <preining@debian.org>  Fri, 23 Nov 2012 12:34:53 +0900
