=== debian/control ===
Source: texlive-base
Section: tex
Priority: optional
Maintainer: Debian TeX Maintainers <debian-tex-maint@lists.debian.org>
Uploaders: Norbert Preining <preining@debian.org>, Frank Küster <frank@debian.org>
Build-Depends: debhelper (>= 7.0.50~)
Build-Depends-Indep: sharutils, tex-common (>= 3), eperl, findutils (>=4.2.0)
Standards-Version: 3.9.3
Homepage: http://www.tug.org/texlive/

Package: texlive-base
Architecture: all
Depends: xdg-utils, tex-common (>= 4.03), ucf, libpaper-utils, ${misc:Depends}, texlive-binaries (>= 2013.20130512), luatex (>= 0.70.1)
Conflicts: ptex-bin (<< 2013.20130512), texlive-metapost-doc (<< 2013.20130512), texlive-fonts-recommended-doc (<< 2013.20130512), texlive-font-utils (<< 2013.20130512), texlive-latex-base (<< 2013.20130512), texlive-publishers (<< 2013.20130512), texlive-lang-danish, texlive-formats-extra (<< 2013.20130512), texlive-lang-all (<< 2013.20130512), texlive-fonts-recommended (<< 2013.20130512), texlive-common, texlive-science (<< 2013.20130512), texlive-lang-czechslovak (<< 2013.20130512), texlive-lang-cjk (<< 2013.20130512), texlive-full (<< 2013.20130512), texlive-pictures (<< 2013.20130512), texlive-base (<< 2013.20130512), texlive-metapost (<< 2013.20130512), texlive-latex-recommended-doc (<< 2013.20130512), texlive-lang-greek (<< 2013.20130512), texlive-generic-extra (<< 2013.20130512), texlive-lang-european (<< 2013.20130512), texlive (<< 2013.20130512), texlive-lang-mongolian, texlive-lang-italian (<< 2013.20130512), texlive-lang-swedish, texlive-lang-english (<< 2013.20130512), texlive-latex3 (<< 2013.20130512), pdfjam (<< 2013.20130512), texlive-lang-hebrew, texlive-humanities (<< 2013.20130512), texlive-binaries (<< 2013.20130512), texlive-lang-vietnamese, texlive-lang-croatian, texlive-music (<< 2013.20130512), texlive-lang-portuguese (<< 2013.20130512), texlive-lang-polish (<< 2013.20130512), texlive-lang-indic (<< 2013.20130512), texlive-luatex (<< 2013.20130512), thailatex (<< 2013.20130512), texlive-lang-norwegian, texlive-lang-arabic (<< 2013.20130512), texlive-omega (<< 2013.20130512), texlive-lang-lithuanian, texlive-pictures-doc (<< 2013.20130512), texlive-extra-utils (<< 2013.20130512), texlive-latex-extra-doc (<< 2013.20130512), texlive-lang-african (<< 2013.20130512), texlive-xetex (<< 2013.20130512), texlive-science-doc (<< 2013.20130512), texlive-fonts-extra-doc (<< 2013.20130512), texlive-bibtex-extra (<< 2013.20130512), texlive-doc-base, texlive-lang-armenian, texlive-lang-finnish, texlive-latex-extra (<< 2013.20130512), texlive-lang-tibetan, texlive-fonts-extra (<< 2013.20130512), texlive-games (<< 2013.20130512), texlive-lang-other (<< 2013.20130512), texlive-latex-base-doc (<< 2013.20130512), texlive-pstricks-doc (<< 2013.20130512), texlive-lang-cyrillic (<< 2013.20130512), texlive-lang-spanish (<< 2013.20130512), texlive-lang-latvian, texlive-lang-french (<< 2013.20130512), texlive-latex-recommended (<< 2013.20130512), texlive-plain-extra (<< 2013.20130512), texlive-humanities-doc (<< 2013.20130512), texpower (<< 2013.20130512), texlive-math-extra (<< 2013.20130512), texlive-pstricks (<< 2013.20130512), texlive-lang-dutch, texlive-lang-german (<< 2013.20130512), texlive-generic-recommended (<< 2013.20130512), texlive-publishers-doc (<< 2013.20130512), texlive-lang-hungarian, texlive-lang-latin
Recommends: lmodern (>= 0.93.3)
Provides: dvipdfmx
Suggests: ghostscript, perl-tk, gv | postscript-viewer, xpdf-reader | pdf-viewer
Replaces: texlive-doc-en, texlive-common (<< 2013), context (<< 2012.05.30.20121209), texlive-binaries (<< 2013), texlive-doc-base
Breaks: context (<< 2012.05.30.20121209)
Description: TeX Live: Essential programs and files
 These files are regarded as basic for any TeX system, covering plain TeX
   macros, Computer Modern fonts, and configuration for common drivers; no
   LaTeX.
 .
 This package includes the following CTAN packages:
  texlive.infra -- basic TeX Live infrastructure
  amsfonts -- TeX fonts from the American Mathematical Society.
  bibtex -- Process bibliographies for LaTeX, etc.
  cm -- Computer Modern fonts.
  dvipdfmx -- An extended version of dvipdfm.
  dvipdfmx-def -- Configuration file for dvipdfmx graphics.
  dvips -- A DVI to PostScript driver.
  enctex -- A TeX extension that translates input on its way into TeX.
  etex -- An extended version of TeX, from the NTS project.
  etex-pkg -- E-TeX support package.
  glyphlist --
  gsftopk -- Convert "ghostscript fonts" to PK files.
  hyph-utf8 -- Hyphenation patterns expressed in UTF-8.
  hyphen-base --
  ifluatex -- Provides the \ifluatex switch.
  ifxetex -- Am I running under XeTeX?
  kpathsea -- Path searching library for TeX-related files.
  lua-alt-getopt -- Process application arguments the same way as
   getopt_long.
  luatex -- The LuaTeX engine.
  makeindex -- Process index output to produce typesettable code.
  metafont -- A system for specifying fonts.
  mflogo -- LaTeX support for MetaFont logo fonts.
  mfware -- Supporting tools for use with Metafont.
  misc --
  pdftex -- A TeX extension for direct creation of PDF.
  plain --
  tetex -- scripts and files originally written for or included in teTeX
  tex -- A sophisticated typesetting engine.
  texconfig --
  texlive-common -- TeX Live documentation (common elements)
  texlive-docindex -- top-level TeX Live doc.html, etc.
  texlive-en -- TeX Live manual (English)
  xdvi -- A DVI previewer for the X Window System.
  texdoc -- Documentation access for TeX distributions.

Package: texlive-generic-recommended
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512)
Description: TeX Live: Generic recommended packages
 Recommended packages that work with multiple formats.
 .
 This package includes the following CTAN packages:
  epsf -- Simple macros for EPS inclusion.
  fontname -- Scheme for naming fonts in TeX.
  genmisc --
  kastrup --
  multido -- A loop facility for Generic TeX.
  path -- Typeset paths, making them breakable.
  tex-ps -- TeX to PostScript generic macros and add-ons.
  ulem -- Package for underlining.

Package: texlive-latex-base
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512), texlive-binaries (>= 2013.20130512)
Recommends: texlive-latex-base-doc
Description: TeX Live: LaTeX fundamental packages
 These packages are mandated by the core LaTeX team, or at least very
   strongly recommended.
 .
 This package includes the following CTAN packages:
  ae -- Virtual fonts for T1 encoded CMR-fonts.
  amscls -- AMS document classes for LaTeX.
  amsmath -- AMS mathematical facilities for LaTeX.
  babel -- Multilingual support for Plain TeX or LaTeX.
  babel-english --
  babelbib -- Multilingual bibliographies.
  carlisle -- David Carlisle's small packages.
  colortbl -- Add colour to LaTeX tables.
  fancyhdr -- Extensive control of page headers and footers in LaTeX2e.
  fix2col -- Fix miscellaneous two column mode features.
  geometry -- Flexible and complete interface to document dimensions.
  graphics -- Standard LaTeX graphics.
  hyperref -- Extensive support for hypertext in LaTeX.
  latex -- A TeX macro package that defines LaTeX.
  latex-bin -- LaTeX executables and man pages.
  latex-fonts -- A collection of fonts used in LaTeX distributions.
  latexconfig --
  ltxmisc -- Miscellaneous LaTeX packages, etc.
  mfnfss -- Packages to typeset oldgerman and pandora fonts in LaTeX.
  mptopdf -- mpost to PDF, native MetaPost graphics inclusion
  natbib -- Flexible bibliography support.
  oberdiek -- A bundle of packages submitted by Heiko Oberdiek.
  pdftex-def -- Colour and Graphics support for PDFTeX.
  pslatex -- Use PostScript fonts by default.
  psnfss -- Font support for common PostScript fonts.
  pspicture -- PostScript picture support.
  tools -- The LaTeX standard tools bundle.

Package: texlive-latex-recommended
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-latex-base (>= 2013.20130512), texlive-binaries (>= 2013.20130512)
Recommends: latex-xcolor (>= 2.09), texlive-latex-recommended-doc, prosper (>= 1.00.4+cvs.2006.10.22), latex-beamer (>= 3.06.dfsg.1-0.1)
Provides: texlive-latex3
Description: TeX Live: LaTeX recommended packages
 A collection of recommended add-on packages for LaTeX which have widespread
   use.
 .
 This package includes the following CTAN packages:
  anysize -- A simple package to set up document margins.
  booktabs -- Publication quality tables in LaTeX
  caption -- Customising captions in floating environments.
  cite -- Improved citation handling in LaTeX.
  cmap -- Make PDF files searchable and copyable.
  crop -- Support for cropmarks.
  ctable -- Flexible typesetting of table and figure floats using key/value
   directives.
  ec -- Computer modern fonts in T1 and TS1 encodings.
  eso-pic -- Add picture commands (or backgrounds) to every page.
  euler -- Use AMS Euler fonts for math.
  extsizes -- Extend the standard classes' size options.
  fancybox -- Variants of \fbox and other games with boxes.
  fancyref -- A LaTeX package for fancy cross-referencing.
  fancyvrb -- Sophisticated verbatim text.
  float -- Improved interface for floating objects.
  fontspec -- Advanced font selection in XeLaTeX and LuaLaTeX.
  fp -- Fixed point arithmetic.
  index -- Extended index for LaTeX including multiple indexes.
  jknapltx -- Miscellaneous packages by Joerg Knappen.
  koma-script -- A bundle of versatile classes and packages
  l3kernel -- LaTeX3 programming conventions.
  l3packages -- High-level LaTeX3 concepts.
  l3experimental -- Experimental LaTeX3 concepts.
  listings -- Typeset source code listings using LaTeX.
  mdwtools -- Miscellaneous tools by Mark Wooding.
  memoir -- Typeset fiction, non-fiction and mathematical books.
  metalogo -- Extended TeX logo macros.
  mh -- The MH bundle
  microtype -- Subliminal refinements towards typographical perfection.
  ms -- Various LaTeX packages by Martin Schroder.
  ntgclass -- "European" versions of standard classes.
  parskip -- Layout with zero \parindent, non-zero \parskip.
  pdfpages -- Include PDF documents in LaTeX.
  powerdot -- A presentation class.
  psfrag -- Replace strings in encapsulated PostScript figures.
  rcs -- Use RCS (revision control system) tags in LaTeX documents.
  rotating -- Rotation tools, including rotated full-page floats.
  sansmath -- Maths in a sans font.
  section -- Modifying section commands in LaTeX.
  seminar -- Make overhead slides.
  sepnum -- Print numbers in a "friendly" format.
  setspace -- Set space between lines.
  subfig -- Figures broken into subfigures
  textcase -- Case conversion ignoring mathematics, etc.
  thumbpdf -- Thumbnails for pdfTeX and dvips/ps2pdf.
  typehtml -- Typeset HTML directly from LaTeX.
  underscore -- Control the behaviour of "_" in text.
  url -- Verbatim with URL-sensitive line breaks.
  xkeyval -- Extension of the keyval package.

Package: texlive-fonts-recommended
Section: fonts
Architecture: all
Depends: texlive-base (>= 2013.20130512), ${misc:Depends}, texlive-base (>= 2013.20130512), ttf-marvosym
Recommends: tipa (>= 2:1.2-2.1), tex-gyre, texlive-fonts-recommended-doc
Description: TeX Live: Recommended fonts
 Recommended fonts, including the base 35 PostScript fonts, Latin Modern, TeX
   Gyre, and T1 and other encoding support for Computer Modern, in outline
   form.
 .
 This package includes the following CTAN packages:
  avantgar -- URW "Base 35" font pack for LaTeX.
  bookman -- URW "Base 35" font pack for LaTeX.
  charter -- Charter fonts.
  cmextra --
  courier -- URW "Base 35" font pack for LaTeX.
  euro -- Provide Euro values for national currency amounts.
  euro-ce -- Euro and CE sign font.
  eurosym -- MetaFont and macros for Euro sign.
  fpl -- SC and OsF fonts for URW Palladio L
  helvetic -- URW "Base 35" font pack for LaTeX.
  lm-math -- OpenType maths fonts for Latin Modern.
